<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <title>Bokeh Plot</title>
    <style>
      html, body {
        box-sizing: border-box;
        display: flow-root;
        height: 100%;
        margin: 0;
        padding: 0;
      }
    </style>
    <script type="text/javascript" src="https://cdn.bokeh.org/bokeh/release/bokeh-3.3.1.min.js"></script>
    <script type="text/javascript">
        Bokeh.set_log_level("info");
    </script>
  </head>
  <body>
    <div id="dadf182a-5ffd-4528-8f81-639c128d84c7" data-root-id="p1383" style="display: contents;"></div>
  
    <script type="application/json" id="p1405">
      {"e3937ee5-d93b-4989-ad2b-7aeb188c88d2":{"version":"3.3.1","title":"Bokeh Application","roots":[{"type":"object","name":"GridPlot","id":"p1383","attributes":{"rows":null,"cols":null,"toolbar":{"type":"object","name":"Toolbar","id":"p1382","attributes":{"tools":[{"type":"object","name":"ToolProxy","id":"p1381","attributes":{"tools":[{"type":"object","name":"HoverTool","id":"p1024","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1062","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1100","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1138","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1176","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1214","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1252","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1290","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1328","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}},{"type":"object","name":"HoverTool","id":"p1366","attributes":{"renderers":"auto","tooltips":"Matches Count: @Matches_Count"}}]}}]}},"children":[[{"type":"object","name":"Figure","id":"p1002","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1001","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1004","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1012"},"y_scale":{"type":"object","name":"LinearScale","id":"p1013"},"title":{"type":"object","name":"Title","id":"p1005","attributes":{"text":"Matches Count Against Sevilla FC","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1034","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1025","attributes":{"selected":{"type":"object","name":"Selection","id":"p1026","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1027"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"DAAAAA8AAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1035","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1036"}}},"glyph":{"type":"object","name":"VBar","id":"p1031","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1032","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1033","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1011","attributes":{"tools":[{"id":"p1024"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1019","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1020","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1021"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1022"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1014","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1015"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1016"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1017"}}}],"center":[{"type":"object","name":"Grid","id":"p1018","attributes":{"axis":{"id":"p1014"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1023","attributes":{"dimension":1,"axis":{"id":"p1019"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1037","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1038","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1034"}]}}]}}]}},0,0],[{"type":"object","name":"Figure","id":"p1040","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1039","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1042","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1050"},"y_scale":{"type":"object","name":"LinearScale","id":"p1051"},"title":{"type":"object","name":"Title","id":"p1043","attributes":{"text":"Matches Count Against Atletico de Madrid","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1072","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1063","attributes":{"selected":{"type":"object","name":"Selection","id":"p1064","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1065"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"CwAAAA4AAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1073","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1074"}}},"glyph":{"type":"object","name":"VBar","id":"p1069","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1070","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1071","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1049","attributes":{"tools":[{"id":"p1062"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1057","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1058","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1059"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1060"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1052","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1053"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1054"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1055"}}}],"center":[{"type":"object","name":"Grid","id":"p1056","attributes":{"axis":{"id":"p1052"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1061","attributes":{"dimension":1,"axis":{"id":"p1057"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1075","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1076","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1072"}]}}]}}]}},0,1],[{"type":"object","name":"Figure","id":"p1078","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1077","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1080","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1088"},"y_scale":{"type":"object","name":"LinearScale","id":"p1089"},"title":{"type":"object","name":"Title","id":"p1081","attributes":{"text":"Matches Count Against Getafe CF","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1110","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1101","attributes":{"selected":{"type":"object","name":"Selection","id":"p1102","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1103"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"CAAAAA8AAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1111","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1112"}}},"glyph":{"type":"object","name":"VBar","id":"p1107","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1108","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1109","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1087","attributes":{"tools":[{"id":"p1100"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1095","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1096","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1097"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1098"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1090","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1091"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1092"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1093"}}}],"center":[{"type":"object","name":"Grid","id":"p1094","attributes":{"axis":{"id":"p1090"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1099","attributes":{"dimension":1,"axis":{"id":"p1095"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1113","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1114","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1110"}]}}]}}]}},1,0],[{"type":"object","name":"Figure","id":"p1116","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1115","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1118","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1126"},"y_scale":{"type":"object","name":"LinearScale","id":"p1127"},"title":{"type":"object","name":"Title","id":"p1119","attributes":{"text":"Matches Count Against FC Barcelona","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1148","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1139","attributes":{"selected":{"type":"object","name":"Selection","id":"p1140","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1141"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"DwAAAAUAAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1149","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1150"}}},"glyph":{"type":"object","name":"VBar","id":"p1145","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1146","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1147","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1125","attributes":{"tools":[{"id":"p1138"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1133","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1134","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1135"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1136"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1128","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1129"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1130"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1131"}}}],"center":[{"type":"object","name":"Grid","id":"p1132","attributes":{"axis":{"id":"p1128"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1137","attributes":{"dimension":1,"axis":{"id":"p1133"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1151","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1152","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1148"}]}}]}}]}},1,1],[{"type":"object","name":"Figure","id":"p1154","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1153","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1156","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1164"},"y_scale":{"type":"object","name":"LinearScale","id":"p1165"},"title":{"type":"object","name":"Title","id":"p1157","attributes":{"text":"Matches Count Against Celta de Vigo","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1186","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1177","attributes":{"selected":{"type":"object","name":"Selection","id":"p1178","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1179"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"BwAAAA0AAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1187","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1188"}}},"glyph":{"type":"object","name":"VBar","id":"p1183","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1184","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1185","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1163","attributes":{"tools":[{"id":"p1176"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1171","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1172","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1173"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1174"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1166","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1167"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1168"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1169"}}}],"center":[{"type":"object","name":"Grid","id":"p1170","attributes":{"axis":{"id":"p1166"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1175","attributes":{"dimension":1,"axis":{"id":"p1171"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1189","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1190","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1186"}]}}]}}]}},2,0],[{"type":"object","name":"Figure","id":"p1192","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1191","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1194","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1202"},"y_scale":{"type":"object","name":"LinearScale","id":"p1203"},"title":{"type":"object","name":"Title","id":"p1195","attributes":{"text":"Matches Count Against Athletic Bilbao","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1224","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1215","attributes":{"selected":{"type":"object","name":"Selection","id":"p1216","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1217"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"BAAAAA0AAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1225","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1226"}}},"glyph":{"type":"object","name":"VBar","id":"p1221","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1222","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1223","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1201","attributes":{"tools":[{"id":"p1214"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1209","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1210","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1211"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1212"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1204","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1205"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1206"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1207"}}}],"center":[{"type":"object","name":"Grid","id":"p1208","attributes":{"axis":{"id":"p1204"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1213","attributes":{"dimension":1,"axis":{"id":"p1209"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1227","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1228","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1224"}]}}]}}]}},2,1],[{"type":"object","name":"Figure","id":"p1230","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1229","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1232","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1240"},"y_scale":{"type":"object","name":"LinearScale","id":"p1241"},"title":{"type":"object","name":"Title","id":"p1233","attributes":{"text":"Matches Count Against Malaga CF","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1262","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1253","attributes":{"selected":{"type":"object","name":"Selection","id":"p1254","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1255"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"CAAAAAkAAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1263","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1264"}}},"glyph":{"type":"object","name":"VBar","id":"p1259","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1260","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1261","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1239","attributes":{"tools":[{"id":"p1252"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1247","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1248","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1249"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1250"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1242","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1243"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1244"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1245"}}}],"center":[{"type":"object","name":"Grid","id":"p1246","attributes":{"axis":{"id":"p1242"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1251","attributes":{"dimension":1,"axis":{"id":"p1247"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1265","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1266","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1262"}]}}]}}]}},3,0],[{"type":"object","name":"Figure","id":"p1268","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1267","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1270","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1278"},"y_scale":{"type":"object","name":"LinearScale","id":"p1279"},"title":{"type":"object","name":"Title","id":"p1271","attributes":{"text":"Matches Count Against RCD Espanyol Barcelona","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1300","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1291","attributes":{"selected":{"type":"object","name":"Selection","id":"p1292","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1293"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"CQAAAAYAAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1301","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1302"}}},"glyph":{"type":"object","name":"VBar","id":"p1297","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1298","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1299","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1277","attributes":{"tools":[{"id":"p1290"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1285","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1286","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1287"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1288"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1280","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1281"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1282"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1283"}}}],"center":[{"type":"object","name":"Grid","id":"p1284","attributes":{"axis":{"id":"p1280"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1289","attributes":{"dimension":1,"axis":{"id":"p1285"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1303","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1304","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1300"}]}}]}}]}},3,1],[{"type":"object","name":"Figure","id":"p1306","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1305","attributes":{"factors":["A","H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1308","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1316"},"y_scale":{"type":"object","name":"LinearScale","id":"p1317"},"title":{"type":"object","name":"Title","id":"p1309","attributes":{"text":"Matches Count Against Valencia CF","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1338","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1329","attributes":{"selected":{"type":"object","name":"Selection","id":"p1330","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1331"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAAEAAAA="},"shape":[2],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["A","H"],"shape":[2],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"CAAAAAcAAAA="},"shape":[2],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1339","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1340"}}},"glyph":{"type":"object","name":"VBar","id":"p1335","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1336","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1337","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1315","attributes":{"tools":[{"id":"p1328"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1323","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1324","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1325"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1326"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1318","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1319"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1320"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1321"}}}],"center":[{"type":"object","name":"Grid","id":"p1322","attributes":{"axis":{"id":"p1318"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1327","attributes":{"dimension":1,"axis":{"id":"p1323"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1341","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1342","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1338"}]}}]}}]}},4,0],[{"type":"object","name":"Figure","id":"p1344","attributes":{"width":400,"height":300,"x_range":{"type":"object","name":"FactorRange","id":"p1343","attributes":{"factors":["H"]}},"y_range":{"type":"object","name":"DataRange1d","id":"p1346","attributes":{"start":0}},"x_scale":{"type":"object","name":"CategoricalScale","id":"p1354"},"y_scale":{"type":"object","name":"LinearScale","id":"p1355"},"title":{"type":"object","name":"Title","id":"p1347","attributes":{"text":"Matches Count Against Real Sociedad","text_font_size":"16px"}},"renderers":[{"type":"object","name":"GlyphRenderer","id":"p1376","attributes":{"data_source":{"type":"object","name":"ColumnDataSource","id":"p1367","attributes":{"selected":{"type":"object","name":"Selection","id":"p1368","attributes":{"indices":[],"line_indices":[]}},"selection_policy":{"type":"object","name":"UnionRenderers","id":"p1369"},"data":{"type":"map","entries":[["index",{"type":"ndarray","array":{"type":"bytes","data":"AAAAAA=="},"shape":[1],"dtype":"int32","order":"little"}],["Venue",{"type":"ndarray","array":["H"],"shape":[1],"dtype":"object","order":"little"}],["Matches_Count",{"type":"ndarray","array":{"type":"bytes","data":"DwAAAA=="},"shape":[1],"dtype":"int32","order":"little"}]]}}},"view":{"type":"object","name":"CDSView","id":"p1377","attributes":{"filter":{"type":"object","name":"AllIndices","id":"p1378"}}},"glyph":{"type":"object","name":"VBar","id":"p1373","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"fill_color":{"type":"value","value":"#5e4fa2"},"hatch_color":{"type":"value","value":"#5e4fa2"}}},"nonselection_glyph":{"type":"object","name":"VBar","id":"p1374","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.1},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.1},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.1}}},"muted_glyph":{"type":"object","name":"VBar","id":"p1375","attributes":{"x":{"type":"field","field":"Venue"},"width":{"type":"value","value":0.9},"top":{"type":"field","field":"Matches_Count"},"line_color":{"type":"value","value":"#5e4fa2"},"line_alpha":{"type":"value","value":0.2},"fill_color":{"type":"value","value":"#5e4fa2"},"fill_alpha":{"type":"value","value":0.2},"hatch_color":{"type":"value","value":"#5e4fa2"},"hatch_alpha":{"type":"value","value":0.2}}}}}],"toolbar":{"type":"object","name":"Toolbar","id":"p1353","attributes":{"tools":[{"id":"p1366"}]}},"toolbar_location":null,"left":[{"type":"object","name":"LinearAxis","id":"p1361","attributes":{"ticker":{"type":"object","name":"BasicTicker","id":"p1362","attributes":{"mantissas":[1,2,5]}},"formatter":{"type":"object","name":"BasicTickFormatter","id":"p1363"},"axis_label":"Matches Count","major_label_policy":{"type":"object","name":"AllLabels","id":"p1364"}}}],"below":[{"type":"object","name":"CategoricalAxis","id":"p1356","attributes":{"ticker":{"type":"object","name":"CategoricalTicker","id":"p1357"},"formatter":{"type":"object","name":"CategoricalTickFormatter","id":"p1358"},"axis_label":"Venue","major_label_policy":{"type":"object","name":"AllLabels","id":"p1359"}}}],"center":[{"type":"object","name":"Grid","id":"p1360","attributes":{"axis":{"id":"p1356"},"grid_line_color":null}},{"type":"object","name":"Grid","id":"p1365","attributes":{"dimension":1,"axis":{"id":"p1361"},"grid_line_color":null}},{"type":"object","name":"Legend","id":"p1379","attributes":{"items":[{"type":"object","name":"LegendItem","id":"p1380","attributes":{"label":{"type":"value","value":"Matches Count"},"renderers":[{"id":"p1376"}]}}]}}]}},4,1]]}}]}}
    </script>
    <script type="text/javascript">
      (function() {
        const fn = function() {
          Bokeh.safely(function() {
            (function(root) {
              function embed_document(root) {
              const docs_json = document.getElementById('p1405').textContent;
              const render_items = [{"docid":"e3937ee5-d93b-4989-ad2b-7aeb188c88d2","roots":{"p1383":"dadf182a-5ffd-4528-8f81-639c128d84c7"},"root_ids":["p1383"]}];
              root.Bokeh.embed.embed_items(docs_json, render_items);
              }
              if (root.Bokeh !== undefined) {
                embed_document(root);
              } else {
                let attempts = 0;
                const timer = setInterval(function(root) {
                  if (root.Bokeh !== undefined) {
                    clearInterval(timer);
                    embed_document(root);
                  } else {
                    attempts++;
                    if (attempts > 100) {
                      clearInterval(timer);
                      console.log("Bokeh: ERROR: Unable to run BokehJS code because BokehJS library is missing");
                    }
                  }
                }, 10, root)
              }
            })(window);
          });
        };
        if (document.readyState != "loading") fn();
        else document.addEventListener("DOMContentLoaded", fn);
      })();
    </script>
  </body>
</html>